com.smartgwt.client.types

## Enum PageEvent

- java.lang.Object
- - java.lang.Enum<PageEvent>
  - - com.smartgwt.client.types.PageEvent

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PageEvent>

      public enum PageEvent
      extends java.lang.Enum<PageEvent>
      implements ValueEnum

  Events registerable via `Page.setEvent()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK` Fires when the user clicks the mouse on the Page.
    `DOUBLECLICK` Fires when the uesr double-clicks on the Page.
    `IDLE` Fires repeatedly (every 10 ms by default) when the system is idle (i.e., not busy running other scripts) after the page is loaded.
    `KEYPRESS` Fires when a user presses a key on the keyboard.
    `LOAD` Fires when the page has finished loading.
    `MOUSEDOWN` Fires when the left mouse button is pressed on the Page.
    `MOUSEMOVE` Fires when the mouse moves on the Page.
    `MOUSEUP` Fires when the left mouse button released on the Page.
    `ORIENTATIONCHANGE` Fires when the `Page.getOrientation()` changes due to browser-window resize or rotation of a mobile device.
    `RESIZE` Fires when the browser window is resized by the user.
    `RIGHTMOUSEDOWN` Fires when the right mouse button is pressed on the Page.
    `SHOWCONTEXTMENU` Fires when the right mouse button is clicked on the page.
    `UNLOAD` Fires when the page is exited or unloaded.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PageEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PageEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final PageEvent IDLE

      Fires repeatedly (every 10 ms by default) when the system is idle (i.e., not busy running other scripts) after the page is loaded.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "idle".

    - #### LOAD

          public static final PageEvent LOAD

      Fires when the page has finished loading. It corresponds to the browser 'load' event normally handled by window.onload.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "load".

    - #### UNLOAD

          public static final PageEvent UNLOAD

      Fires when the page is exited or unloaded. It corresponds to the browser 'unload' event normally handled by window.onunload.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "unload".

    - #### RESIZE

          public static final PageEvent RESIZE

      Fires when the browser window is resized by the user. It corresponds to the browser 'resize' event normally handled by window.onresize.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "resize".

    - #### MOUSEDOWN

          public static final PageEvent MOUSEDOWN

      Fires when the left mouse button is pressed on the Page.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mouseDown".

    - #### RIGHTMOUSEDOWN

          public static final PageEvent RIGHTMOUSEDOWN

      Fires when the right mouse button is pressed on the Page.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rightMouseDown".

    - #### MOUSEMOVE

          public static final PageEvent MOUSEMOVE

      Fires when the mouse moves on the Page.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mouseMove".

    - #### MOUSEUP

          public static final PageEvent MOUSEUP

      Fires when the left mouse button released on the Page.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mouseUp".

    - #### CLICK

          public static final PageEvent CLICK

      Fires when the user clicks the mouse on the Page.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "click".

    - #### DOUBLECLICK

          public static final PageEvent DOUBLECLICK

      Fires when the uesr double-clicks on the Page.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "doubleClick".

    - #### SHOWCONTEXTMENU

          public static final PageEvent SHOWCONTEXTMENU

      Fires when the right mouse button is clicked on the page. If your event handler for this event returns false, the native browser context menu will be suppressed.
      Note: On the Macintosh platform, `Command+Click` may be used instead of right-button click to trigger a context menu event.
      On the Opera browser, `Ctrl+Shift+Click` should be used instead of right-button click.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "showContextMenu".

    - #### KEYPRESS

          public static final PageEvent KEYPRESS

      Fires when a user presses a key on the keyboard.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "keyPress".

    - #### ORIENTATIONCHANGE

          public static final PageEvent ORIENTATIONCHANGE

      Fires when the `Page.getOrientation()` changes due to browser-window resize or rotation of a mobile device. see classMethod:Page.setEvent() see classMethod:Page.clearEvent()

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "orientationChange".

  - ### Method Detail

    - #### values

          public static PageEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PageEvent c : PageEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PageEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`